commit:     e4d0d23057aa597dff3673ccb3749d573645dd28
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 20 23:38:35 2025 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Wed Aug 20 23:38:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4d0d230

dev-util/google-perftools: add 2.17.2

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 dev-util/google-perftools/Manifest                 |   1 +
 .../google-perftools-2.17.2.ebuild                 | 105 +++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/dev-util/google-perftools/Manifest 
b/dev-util/google-perftools/Manifest
index abfe73b0826b..1a8b6c9a3220 100644
--- a/dev-util/google-perftools/Manifest
+++ b/dev-util/google-perftools/Manifest
@@ -1,2 +1,3 @@
 DIST gperftools-2.15.tar.gz 888271 BLAKE2B 
0fb627e36d6677d01081b1d566ad42eee8b87ab94a07cbbc4536a1671b539354bc0d27f6eab249e94317f0d57a9801551aa3b2cceae784231ac69528b61d4d6e
 SHA512 
04551bdfac50812dd8305e0fe6f6ae5b8603f18a5f9cde56657daa634982bfb5eb5303721ea6a8e02f4177aa012535216f1c99b9eda4ce92f046982df41fbcd1
 DIST gperftools-2.16.tar.gz 1743259 BLAKE2B 
a1b1c8b04e7797121ca96d5527e6d862d84bf1df116d4bbd30fe3a572fcb76f32be8633a4711c908adf87e6b57eeb1558f7bde1dcdf393c6f6ccea17b90e0dc3
 SHA512 
a6eddee06cd6a9344c724522a5bb977082d6ee30eded1c6793d6bb508d4c8542a238dc0f62818c715f09312c858cc90cded0ee95ba2a3ea15fad8a0b78bcdaea
+DIST gperftools-2.17.2.tar.gz 2182122 BLAKE2B 
68555e754854408f409fd10dd71771c2e5f83b343c99ce27ef9fbb765b890748cb6a4de90e9c0768954221b817de09415907ef1015c90f889c94752c8c1dfb68
 SHA512 
c6f68c307f7ecc5a3ff49b616155cb6d5bcc8e7a14b52f480a4e7e6deed562e988af549cd6b3d6f9150d92561947460a2a97d3355c73b81a4d0414870c0b7d32

diff --git a/dev-util/google-perftools/google-perftools-2.17.2.ebuild 
b/dev-util/google-perftools/google-perftools-2.17.2.ebuild
new file mode 100644
index 000000000000..c66325f73bdc
--- /dev/null
+++ b/dev-util/google-perftools/google-perftools-2.17.2.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="gperftools-${PV}"
+inherit flag-o-matic autotools vcs-snapshot multilib-minimal
+
+DESCRIPTION="Fast, multi-threaded malloc() and nifty performance analysis 
tools"
+HOMEPAGE="https://github.com/gperftools/gperftools";
+SRC_URI="https://github.com/gperftools/gperftools/archive/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0/4"
+# contains ASM code, with support for
+# freebsd x86/amd64
+# linux amd64/arm/arm64/ppc/ppc64/riscv/x86
+# OSX ppc/amd64
+# AIX ppc/ppc64
+KEYWORDS="-* ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux 
~x86-linux"
+
+IUSE="pagesize-16k pagesize-32k pagesize-64k pagesize-128k pagesize-256k 
+debug llvm-libunwind minimal optimisememory test static-libs"
+REQUIRED_USE="?? ( pagesize-16k pagesize-32k pagesize-64k pagesize-128k 
pagesize-256k )"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       llvm-libunwind? ( llvm-runtimes/libunwind:= )
+       !llvm-libunwind? ( sys-libs/libunwind:= )
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+       # set up the make options in here so that we can actually make use
+       # of them on both compile and install.
+
+       # Avoid building the unit testing if we're not going to execute
+       # tests; this trick here allows us to ignore the tests without
+       # touching the build system (and thus without rebuilding
+       # autotools). Keep commented as long as it's restricted.
+       use test || \
+               MAKEOPTS+=" noinst_PROGRAMS= "
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       use optimisememory && append-cppflags -DTCMALLOC_SMALL_BUT_SLOW
+       use pagesize-16k && append-cppflags -DTCMALLOC_PAGE_SIZE_SHIFT=14
+       use pagesize-32k && append-cppflags -DTCMALLOC_PAGE_SIZE_SHIFT=15
+       use pagesize-64k && append-cppflags -DTCMALLOC_PAGE_SIZE_SHIFT=16
+       use pagesize-128k && append-cppflags -DTCMALLOC_PAGE_SIZE_SHIFT=17
+       use pagesize-256k && append-cppflags -DTCMALLOC_PAGE_SIZE_SHIFT=18
+       append-flags -fno-strict-aliasing -fno-omit-frame-pointer
+
+       local myeconfargs=(
+               --enable-shared
+               $(use_enable static-libs static)
+               $(use_enable debug debugalloc)
+       )
+
+       if [[ ${ABI} == x32 ]]; then
+               myeconfargs+=( --enable-minimal )
+       else
+               myeconfargs+=( $(use_enable minimal) )
+       fi
+
+       if use arm64 || use s390; then
+               # Use the same arches for disabling TLS (thread local storage)
+               # as Fedora, but we might need to expand this list if we get
+               # more odd segfaults in consumers like in bug #818871.
+               myeconfargs+=( --disable-general-dynamic-tls )
+       fi
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       multilib-minimal_src_test
+}
+
+src_install() {
+       if ! use minimal && has x32 ${MULTILIB_ABIS}; then
+               MULTILIB_WRAPPED_HEADERS=(
+                       /usr/include/gperftools/heap-checker.h
+                       /usr/include/gperftools/heap-profiler.h
+                       /usr/include/gperftools/stacktrace.h
+                       /usr/include/gperftools/profiler.h
+               )
+       fi
+
+       multilib-minimal_src_install
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       use static-libs || find "${ED}" -name '*.la' -delete || die
+}

Reply via email to